Skip to main content
This API performs online validation of the input and queues the price localization to be asynchronously processed.
curl -X POST 'https://product.api.e-cross.tech/ext/prices/origin/1234567891' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "listPrice": 30.00,
    "salePrice": 30.00
  }'
{
  "status": "LOCALIZATION IN PROGRESS",
  "publishedCount": 1,
  "publishedSkus": [
    "1234567891"
  ],
  "failedCount": 0,
  "failedSkus": [],
  "merchantId": "ACME"
}

Path Parameters

skuId
string
required
Identifier of the SKU (the skuId used to create the SKU).

Request Parameters

listPrice
number
Use this when you want to apply a price promotion. The value must be informed in the merchant foreign currency and will be localized into the “crossed” price in the local currency of connected sales channels.Ex: in the product card, if it displays “R$ 250,00 200,00”, it means that the listPrice was localized into the 250,00.
salePrice
number
required
The value in the merchant foreign currency that will be localized into the final retail price in the local currency of connected sales channels.This is the expected payout value for each sale, meaning: the amount that will be available in your wallet for each unit sold after the conciliation cycle.

Response Fields

status
string
Status of the localization process. Can be LOCALIZATION IN PROGRESS (queued) or ERROR (error in request).
publishedCount
integer
The number of price localization requests that were queued. In origin pricing, if there are 3 sales channels connected, then 3 localization requests will be queued.
publishedSkus
array
Array of SKU IDs that were queued to be localized.
failedCount
integer
The number of price localization requests that failed.
failedSkus
array
Array of SKU IDs that failed to be queued for localization.
merchantId
string
The merchant ID of this localization context.